import eb_engine

def main():
    e = eb_engine.Engine(1600, 900)
    e.main_loop()

if __name__ == "__main__":
    # pydantic instead of dataclasses?
    # Отрисовка голой сетки, прокрутка, масштаб +
    # Отрисовка спрайтов
    # Начало гуя - кнопка, строка ввода, клик
    # Поиск пути
    # Редактор карты
    # Охотник - деревня
    # Простой, но основательный гуй внизу экрана, глобальная карта и перемещение
    # деревня на соседской локации и торговля с ней
    # перемещение по воде, течение
    main() 